Bug 1264312 - Deprecation warning when initializing database
Deprecation warning when initializing database
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance (Show other bugs)
5.5.0
Unspecified Unspecified
low Severity low
: GA
: 5.5.0
Assigned To: Nick Carboni
Milan Falešník
:
: 1270595 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-18 03:16 EDT by Milan Falešník
Modified: 2015-12-08 08:31 EST (History)
6 users (show)

See Also:
Fixed In Version: 5.5.0.8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 08:31:17 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milan Falešník 2015-09-18 03:16:38 EDT
Description of problem:
When you start appliance_console and use it to configure database, a deprecation warning pops up during the process:

Initialize postgresql complete
DEPRECATION WARNING: In the next release, this will return the same as `#connection_pool_list`. (An array of pools, rather than a hash mapping specs to pools.). (called from validate! at /var/www/miq/lib/appliance_console/database_configuration.rb:214)
Create region starting


Version-Release number of selected component (if applicable):
5.5.0.1-alpha1
Comment 2 Nick Carboni 2015-10-15 09:01:15 EDT
*** Bug 1270595 has been marked as a duplicate of this bug. ***
Comment 3 Nick Carboni 2015-10-20 09:49:36 EDT
https://github.com/ManageIQ/manageiq/pull/4991
Comment 4 CFME Bot 2015-10-20 11:41:42 EDT
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/0ebf39247ff556c726f7683539f16b24a968422f

commit 0ebf39247ff556c726f7683539f16b24a968422f
Author:     Nick Carboni <ncarboni@redhat.com>
AuthorDate: Tue Oct 20 09:47:38 2015 -0400
Commit:     Nick Carboni <ncarboni@redhat.com>
CommitDate: Tue Oct 20 09:47:38 2015 -0400

    Using .remove_connection to remove test connection from the pool
    
    This removes a deprecation warning and also corrects the behavior as
    the hash returned from .connection_pools has a connection spec as the key
    rather than the owner class name, so the previous implementation was never
    deleting the connection anyway.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1264312

 gems/pending/appliance_console/database_configuration.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 7 Milan Falešník 2015-11-09 03:59:26 EST
The warning no longer show up in 5.5.0.9
Comment 9 errata-xmlrpc 2015-12-08 08:31:17 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.